--- old/usr/src/uts/common/os/sunddi.c	2015-05-08 18:04:54.869327798 -0400
+++ new/usr/src/uts/common/os/sunddi.c	2015-05-08 18:04:54.877057039 -0400
@@ -8368,8 +8368,8 @@
 	 * locked) to be allowed for LONGTERM.
 	 */
 	if (flags & DDI_UMEMLOCK_LONGTERM) {
-		extern  struct seg_ops segspt_shmops;
-		extern	struct seg_ops segdev_ops;
+		extern const struct seg_ops segspt_shmops;
+		extern const struct seg_ops segdev_ops;
 		AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 		for (seg = as_segat(as, addr); ; seg = AS_SEGNEXT(as, seg)) {
 			if (seg == NULL || seg->s_base > addr + len)
